## ryu 4.21+dfsg1

=== debian/changelog ===
ryu (4.21+dfsg1-4) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 21:00:30 +0000

ryu (4.21+dfsg1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2018 00:22:39 +0000

ryu (4.21+dfsg1-2) experimental; urgency=medium

  * Add python-pip and python-tinyrpc as runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2018 13:24:39 +0000

ryu (4.21+dfsg1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased remove-test-requirements-units.patch.
  * Remove test: test_0_call_bytearray(), failing for an unknown reason.
  * Fixed debian/copyright (removed some files which are gone upstream).

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Feb 2018 16:48:17 +0000

ryu (4.15+dfsg1-3) unstable; urgency=medium

  * Sets http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9  when running tests,
    to make sure we don't have network when running tests.
  * Add remove-test-requirements-units.patch to not access network during run
    of unit tests. (Closes: #880863)
  * Removed build-depends on dh-systemd.
  * Removed duplicate build-depends on python-sphinx-rtd-theme.
  * Standards-Version is now 4.1.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Now support <!nocheck> and <!nodoc> build profiles.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Nov 2017 13:16:19 +0000

ryu (4.15+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 12:52:18 +0000

ryu (4.15+dfsg1-1) experimental; urgency=medium

  [ James Page ]
  * Add python3 support, default ryu-bin to python3:
    - d/p/py3-compat.patch: Python3 compatibility for ovs contrib module.
    - d/control,rules: Add python3-ryu package with alternatives
      configuration for ryu and ryu-manager.
    - d/control: Prefer python3-ryu for ryu-bin package.
  * d/control,ryu-bin.postinst,ryu-bin.ryu.init.in: Run ryu daemon as
    ryu user instead of root.
  * d/python3-ryu.postinst: Prefer Python 3 binaries if both python
    module versions are installed.
  * d/rules: Tidy package clean.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Test with all versions of Python 3.
  * Fixed priority to extra, as the policy deprecates optional.
  * Rewrote ryu-bin.postinst to use pkgos postinst functions.
  * Removed py3 patches applied upstream.
  * Added python{3,}-{pip,tinyrpc,openvswitch} as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 15 Oct 2017 10:22:14 +0200
