## ryu 4.26+dfsg1

=== debian/changelog ===
ryu (4.26+dfsg1-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.

  [ Thomas Goirand ]
  * Fix Breaks+Replaces to allow upgrade for Stretch (Closes: #917992).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Jan 2019 10:30:25 +0100

ryu (4.26+dfsg1-4) unstable; urgency=medium

  * Removed update-alternatives --install /usr/bin/ryu{,-manager}, as we don't
    want it since removal of Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Jan 2019 05:59:04 +0100

ryu (4.26+dfsg1-3) unstable; urgency=medium

  * Removed Python 2 support.
  * Add fix-ut-when-running-in-python-3.7-env.patch (Closes: #917661).

 -- Thomas Goirand <zigo@debian.org>  Sun, 30 Dec 2018 06:01:35 +0100

ryu (4.26+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:44:47 +0200

ryu (4.26+dfsg1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased both 2 patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Aug 2018 13:53:12 +0200
