=== debian/control ===
Source: ryu
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 sphinx-common,
Build-Depends-Indep:
 python3-eventlet <!nocheck>,
 python3-eventlet <!nodoc>,
 python3-formencode <!nocheck>,
 python3-formencode <!nodoc>,
 python3-lxml <!nocheck>,
 python3-mock <!nocheck>,
 python3-msgpack <!nocheck>,
 python3-netaddr <!nocheck>,
 python3-netaddr <!nodoc>,
 python3-nose <!nocheck>,
 python3-openvswitch <!nocheck>,
 python3-oslo.config <!nocheck>,
 python3-oslo.config <!nodoc>,
 python3-paramiko <!nocheck>,
 python3-pip <!nocheck>,
 python3-pip <!nodoc>,
 python3-routes <!nocheck>,
 python3-routes <!nodoc>,
 python3-six <!nocheck>,
 python3-tinyrpc <!nocheck>,
 python3-tinyrpc <!nodoc>,
 python3-webob <!nocheck>,
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ryu
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ryu.git
Homepage: http://osrg.github.io/ryu/

Package: python-ryu-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: software defined networking framework (ryu docs)
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the HTML documentation including the Ryu API
 manual.

Package: python3-ryu
Architecture: all
Section: python
Depends:
 python3-eventlet,
 python3-lxml,
 python3-msgpack,
 python3-netaddr,
 python3-openvswitch,
 python3-oslo.config,
 python3-paramiko,
 python3-pip,
 python3-routes,
 python3-six,
 python3-tinyrpc,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ryu-doc,
Provides:
 ${python3:Provides},
Breaks:
 ryu-bin (<< 4.26+dfsg1-4~),
Replaces:
 ryu-bin (<< 4.26+dfsg1-4~),
Description: software defined networking framework - Python 3
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Python 3 module.

Package: ryu-bin
Architecture: all
Depends:
 adduser,
 python3-ryu (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: software defined networking framework - ryu binary
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Ryu manager.
