## ryu 4.30%2Bds1

=== debian/changelog ===
ryu (4.30+ds1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 23:56:43 +0200

ryu (4.30+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix-ut-when-running-in-python-3.7-env.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 15:46:54 +0100
