## ryu 4.30+ds1

=== ryu/tests/packet_data_generator/Makefile ===

generate:
	rebar get-deps
	rebar compile
	erl -pa ebin deps/*/ebin -s x x -s init stop
